<?php
function leaguesite_scoring_views_data(){
  $data = array();
  /**
   * Set up the data structure for views.
   */
  $data['leaguesite_match_attribute']['home_score_quantity'] = array(
    'title' => t('Home team method score'),
    'help' => t('The number of times the home team has scored using the method. See method name for the relevant name'),
    'field' => array(
      'handler' => 'views_handler_field_numeric',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
  );
  $data['leaguesite_match_attribute']['away_score_quantity'] = array(
    'title' => t('Away team method score'),
    'help' => t('The number of times the away team has scored using the method. See method name for the relevant name'),
    'field' => array(
      'handler' => 'views_handler_field_numeric',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
  );
  //I now need to tell views how the tables link together.
  //first the match_id links to the nid of a game
  $data['leaguesite_match_attribute']['table']['group'] = t('LeagueSite Method');
  $data['leaguesite_match_attribute']['table']['join'] = array(
    'node' => array(
      'left_field' => 'nid',
      'field' => 'match_id',
    ),
  );
  $data['leaguesite_method']['table']['group'] = t('LeagueSite Method');
  $data['leaguesite_method']['table']['join'] = array(
    'node' => array(
      'left_table' => 'leaguesite_sport_method',
      'left_field' => 'method_id',
      'field' => 'method_id',
    ),
  );
  $data['leaguesite_method']['name'] = array(
    'title' => t('Scoring method'),
    'help' => t('The name of the scoring method'),
    'field' => array(
      'handler' => 'views_handler_field',
      'click sortable' => TRUE,
    ),
    'sort' => array(
      'handler' => 'views_handler_sort',
    ),
  );
  
  
  $data['leaguesite_sport_method']['table']['group'] = t('LeagueSite Method');
  $data['leaguesite_sport_method']['table']['join'] = array(
    'node' => array(
      'left_table' => 'leaguesite_sport',
      'left_field' => 'score_id',
      'field' => 'score_id',
    ),
  );
  
  //now the team_id is a relationship link to a team nid
  $data['leaguesite_match_attribute']['method_id'] = array(
    'title' => t('Method name'),
    'help' => t('The name of the scoring method'),
    'relationship' => array(
      'base' => 'leaguesite_method',
      'base field' => 'method_id',
      'handler' => 'views_handler_relationship',
      'label' => t('Method name'),
    ),
  );
  return $data;
}

/*function leaguesite_scoring_views_handlers(){
	//the fields created by hook_views_data() will only need a field and a sort handler - No need for a filter.
	return array(
    'info' => array(
    ),
    'handlers' => array(
      'leaguesite_scoring_handler_field_method_score' => array(
        'parent' => 'views_handler_field_numeric',
      ),
      'leaguesite_scoring_handler_sort_method_score' => array(
        'parent' => 'views_handler_sort',
      ),
    ),
  );
}*/